Page MenuHomePhabricator

[compiler-rt][asan|win] Force tls_init test to use dynamic runtime
ClosedPublic

Authored by etienneb on Feb 10 2017, 10:59 AM.

Details

Summary

There is no guarantee that the tls_init is executed on the static runtime
(/MT).

On windows 7, this unittest is failing.
On windows 10, I believe it's working because of the new CRT.

On ASAN side, it doesn't matter that the hook point is run or not.
It must be run only if there is other tls_initializer that are registered.

Event Timeline

etienneb created this revision.Feb 10 2017, 10:59 AM
etienneb retitled this revision from [asan][win] Force tls_init test to use dynamic runtime to [compiler-rt][asan|win] Force tls_init test to use dynamic runtime.Feb 10 2017, 11:03 AM

PTAL

rnk accepted this revision.Feb 13 2017, 10:47 AM

lgtm

This revision is now accepted and ready to land.Feb 13 2017, 10:47 AM
etienneb closed this revision.Feb 14 2017, 7:33 AM